SDL_MouseMotionEvent Struct Reference

Mouse motion event structure (event.motion.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint32 | which
Uint32 | state
Sint32 | x
Sint32 | y
Sint32 | xrel
Sint32 | yrel

## Detailed Description

Mouse motion event structure (event.motion.*)

Definition at line 232 of file SDL_events.h.

## Field Documentation

## state

Uint32 SDL_MouseMotionEvent::state

The current button state

Definition at line 238 of file SDL_events.h.

Referenced by loop().

## timestamp

Uint32 SDL_MouseMotionEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 235 of file SDL_events.h.

## type

Uint32 SDL_MouseMotionEvent::type

SDL_MOUSEMOTION

Definition at line 234 of file SDL_events.h.

## which

Uint32 SDL_MouseMotionEvent::which

The mouse instance id, or SDL_TOUCH_MOUSEID

Definition at line 237 of file SDL_events.h.

## windowID

Uint32 SDL_MouseMotionEvent::windowID

The window with mouse focus, if any

Definition at line 236 of file SDL_events.h.

Referenced by SDL_RendererEventWatch(), and SDLTest_PrintEvent().

## x

Sint32 SDL_MouseMotionEvent::x

X coordinate, relative to window

Definition at line 239 of file SDL_events.h.

Referenced by SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

## xrel

Sint32 SDL_MouseMotionEvent::xrel

The relative motion in the X direction

Definition at line 241 of file SDL_events.h.

Referenced by SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

## y

Sint32 SDL_MouseMotionEvent::y

Y coordinate, relative to window

Definition at line 240 of file SDL_events.h.

Referenced by SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

## yrel

Sint32 SDL_MouseMotionEvent::yrel

The relative motion in the Y direction

Definition at line 242 of file SDL_events.h.

Referenced by SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h